astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- CartesianRepresentation

# CartesianRepresentation

class `astropy.coordinates.``CartesianRepresentation`(x, y=None, z=None, copy=True)

  Bases: `astropy.coordinates.BaseRepresentation`

  Representation of points in 3D cartesian coordinates.

  Parameters:

  x, y, z : `Quantity`

  > The x, y, and z coordinates of the point(s). If `x`, `y`, and `z` have different shapes, they should be broadcastable.

  copy : bool, optional

  > If True arrays will be copied rather than referenced.

  Attributes Summary

  `attr_classes` |
  `x` | The x component of the point(s).
  `xyz` |
  `y` | The y component of the point(s).
  `z` | The z component of the point(s).

  Methods Summary

  `from_cartesian`(other) |
  `to_cartesian`() |

  Attributes Documentation

  `attr_classes` = OrderedDict([(u'x', <class 'astropy.units.quantity.Quantity'>), (u'y', <class 'astropy.units.quantity.Quantity'>), (u'z', <class 'astropy.units.quantity.Quantity'>)])
  `x`

    The x component of the point(s).

  `xyz`
  `y`

    The y component of the point(s).

  `z`

    The z component of the point(s).

  Methods Documentation

  classmethod `from_cartesian`(other)
  `to_cartesian`()